Page MenuHomePhabricator

labtestservices2002: rename to cloudservices2002-dev and reimage to stretch in codfw1dev
Closed, ResolvedPublic

Description

This server requires rename to cloudservices2002-dev and reimage to stretch in codfw1dev.

When this is done, we need to T218575: Reallocate LDAP database from labtestservices2001

  • disable puppet in labtestservices2002
  • merge puppet patch to rename and get the new debian installer working
  • merge dns patch to add the new FQDNs (partial, the old mgmt names still remains)
  • run the wmf-auto-reimage-host script
  • merge DNS cleanup patch
  • netbox update https://netbox.wikimedia.org/dcim/devices/1772/
  • get the physical relabeling done, switch port labels, etc
  • done

Event Timeline

Change 501314 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] labtestservices2002: rename to cloudservices2002-dev and put into service

https://gerrit.wikimedia.org/r/501314

aborrero updated the task description. (Show Details)Apr 5 2019, 8:35 AM
aborrero added projects: ops-codfw, DC-Ops.
Restricted Application added a project: Operations. · View Herald TranscriptApr 5 2019, 8:36 AM

Change 501314 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labtestservices2002: rename to cloudservices2002-dev and put into service

https://gerrit.wikimedia.org/r/501314

aborrero updated the task description. (Show Details)Apr 5 2019, 8:38 AM
aborrero triaged this task as High priority.Apr 5 2019, 8:43 AM

Change 501511 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] labtestservices2002: rename to cloudservices2002-dev

https://gerrit.wikimedia.org/r/501511

Change 501511 merged by Arturo Borrero Gonzalez:
[operations/dns@master] labtestservices2002: rename to cloudservices2002-dev

https://gerrit.wikimedia.org/r/501511

aborrero updated the task description. (Show Details)Apr 5 2019, 8:54 AM

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

labtestservices2002.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201904050855_aborrero_130360_labtestservices2002_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-04-05T08:55:57Z] <arturo> T220101 reimaging+renaming labtestservices2002 to cloudservices2002-dev

Change 501517 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: codfw1dev: refresh FQDN of DNS servers

https://gerrit.wikimedia.org/r/501517

Change 501520 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] codfw1dev: refresh DNS related FQDNs

https://gerrit.wikimedia.org/r/501520

Change 501520 merged by Arturo Borrero Gonzalez:
[operations/dns@master] codfw1dev: refresh DNS related FQDNs

https://gerrit.wikimedia.org/r/501520

Change 501517 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: codfw1dev: refresh FQDN of DNS servers

https://gerrit.wikimedia.org/r/501517

Completed auto-reimage of hosts:

['cloudservices2002-dev.wikimedia.org']

and were ALL successful.

Change 501524 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudservices2002-dev: typo in site.pp

https://gerrit.wikimedia.org/r/501524

Change 501524 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] cloudservices2002-dev: typo in site.pp

https://gerrit.wikimedia.org/r/501524

aborrero updated the task description. (Show Details)Apr 5 2019, 10:01 AM

Change 501532 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: pdns_recursor: in stretch, don't use the package from jessie

https://gerrit.wikimedia.org/r/501532

Change 501532 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: pdns_recursor: in stretch, don't use the package from jessie

https://gerrit.wikimedia.org/r/501532

Change 501536 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: pdns: give mariadb stretch support

https://gerrit.wikimedia.org/r/501536

Change 501537 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/dns@master] cloudservices2002-dev: cleanup duplicate entries

https://gerrit.wikimedia.org/r/501537

Change 501537 merged by Arturo Borrero Gonzalez:
[operations/dns@master] cloudservices2002-dev: cleanup duplicate entries

https://gerrit.wikimedia.org/r/501537

aborrero updated the task description. (Show Details)Apr 5 2019, 10:30 AM

Change 501536 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: pdns: give mariadb stretch support

https://gerrit.wikimedia.org/r/501536

aborrero updated the task description. (Show Details)Apr 5 2019, 10:41 AM
aborrero reassigned this task from aborrero to Papaul.Apr 5 2019, 10:47 AM

@Papaul I'm assigning this task to you to do the changes related to the rename of the server. Feel free to close the task when done or assign back to me if anything else is required,

Mentioned in SAL (#wikimedia-operations) [2019-04-05T13:36:46Z] <arturo> T220101 disable active icinga checks for cloudcontrol2002-dev

aborrero lowered the priority of this task from High to Normal.Apr 5 2019, 2:57 PM

Lowering priority since the remaining steps are less urgent.

Papaul added a comment.Apr 5 2019, 4:09 PM

papaul@asw-c-codfw# run show interfaces ge-1/0/17 descriptions
Interface Admin Link Description
ge-1/0/17 up up cloudservices2002-dev

Papaul reassigned this task from Papaul to aborrero.Apr 5 2019, 4:10 PM
Papaul updated the task description. (Show Details)
aborrero closed this task as Resolved.Apr 9 2019, 11:28 AM
aborrero updated the task description. (Show Details)